z-values {raster} | R Documentation

## Get or set z-values

### Description

Initial functions for a somewhat more formal approach to get or set z values (e.g. time) associated with layers of Raster* objects. In development.

### Usage

    setZ(x, z, name='time')
    getZ(x)

### Arguments

`x` | Raster* object
`z` | vector of z values of any type (e.g. of class 'Date')
`name` | character label

### Value

setZ: Raster* object

getZ: vector

### Examples

    r <- raster(ncol=10, nrow=10)
    s <- stack(lapply(1:3, function(x) setValues(r, runif(ncell(r)))))
    s <- setZ(s, as.Date('2000-1-1') + 0:2)
    s
    getZ(s)

[Package raster version 2.5-2 Index]